# RU

**МЕТКИ** представляют собой простой способ делать заметки с перенаправлением.

Они отлично зарекомендовали себя в ходе разработки игр [Память][memory] и [Маджонг][mahjong].

### Добавление метки

* Добавляем новый файл под любым удобным именем в директорию `метки/`
* Генерируем базу файлов всех меток

    ```
    $ ./ген
    ```
* Отправляем изменения в хранилище Git

    ```
    $ git add .
    $ git commit -m "Добавить метку разбора файлов"
    $ git push
    ```

### Формат файла метки

Файл метки имеет следующий формат:

```
ИМЯ
разбор_файлов
ДАТА
2019-08-08
ОПИСАНИЕ
Разбор файлов с метками. АПИ.
Можно несколько строк.
АДРЕС
http://ссылка/на/пример/или/прочерк
```

После разбора указанные обязательные ключи будут содержать следующие значения:

| Ключ | Значение |
|---|---|
| ИМЯ | разбор_файлов |
| ДАТА | 2019-08-08 |
| ОПИСАНИЕ | Разбор файлов с метками. АПИ. Можно несколько строк. |
| АДРЕС | http://ссылка/на/пример/или/прочерк |

Примеры файлов меток для игры "Память" можно [посмотреть здесь][memory-metki].

### Перенаправление

Перенаправление осуществляется файлом `метки_1.0.0.html`, которому в качестве параметра после знака вопроса `?` передаётся имя метки.

Пример метки для игры "Память" выглядит следующим образом: http://kornerr.ru/память?и.цвет

### Просмотр существующих меток

Если запрошенного имени метки не существует, отображается список доступных меток с описанием.

Пример списка меток для игры "Память" выглядит следующим образом: http://kornerr.ru/память?лебедьРакЩука

### Создание меток для проекта

**МЕТКИ** удобно использовать под конкретный проект. Для этого необходимо:

| № | Шаг | Пример из игры "Память" |
|---|---|---|
| 1 | Создать хранилище с метками | [Хранилище][memory-metki] |
| 2 | Скопировать файл `метки_1.0.0.html` | [метки.html][memory-metki.html] |
| 3 | Задать в нём адрес файла базы меток | [Адрес][memory-metki.html-addr]
| 4 | Создать файл `index.html` для перенаправления на метки с целью сокращения адреса | [index.html][memory-index.html]

# EN

[memory]: http://kornerr.ru/память?метки
[mahjong]: http://kornerr.ru/маджонг?метки
[memory-metki]: http://git.opengamestudio.org/kornerr/memory-metki
[memory-metki.html]: http://github.com/kornerr/kornerr.github.io/blob/master/память/метки.html
[memory-metki.html-addr]: http://github.com/kornerr/kornerr.github.io/blob/master/память/метки.html#L297
[memory-index.html]: http://github.com/kornerr/kornerr.github.io/blob/master/память/index.html
